tic

init

rand('seed',124508977743109711);


R    = 1.02;
Hbar = 0.333;

if exist('v.mat','file')
    load v
else
    w0 = (1-theta) * ((R+delta)/theta)^(-theta/(1-theta));
    A_decl = zeros(gga,ggz);  	
    H_decl = alfa * ones(gga,ggz);
    C_decl = A' * ones(1,ggz) + w0 * (1-H_decl) .* (ones(gga,1) * Ql);
    A_decl = ones(ggz,1) * A;
    A_dech = A_decl; H_dech = H_decl; 
    C_dech = C_decl + w0 * (1-H_dech) .* (ones(gga,1) * (Qh-Ql));
    Al=[]; Ah=[];
end

fprintf(1,'===========================================================================\n');
fprintf(1,'%s',date); cl = clock; 
fprintf('%2.0f:%2.0f\n',cl(4),cl(5));

 
r = R-1;
Kbar = theta / (r + delta);				% Firms' asset demand
w = (1-theta) / Hbar;
Cbar = 1 - (g+delta) * Kbar;
      
% Solve value function and decision rules

% (i) solve for low Q
fprintf(1,'Solving low, fine\n')
[A_decl, C_decl, H_decl] = ...
    slv_foc(A,Ql,Zprob,A_decl,C_decl,H_decl,w,r,0,Kbar,params);

% (ii) solve for high Q
fprintf(1,'Solving high, fine\n')
[A_dech, C_dech, H_dech] = ...
    slv_foc(A,Qh,Zprob,A_dech,C_dech,H_dech,w,r,0,Kbar,params);

save v A_decl C_decl H_decl A_dech C_dech H_dech;

if exist('simsav.mat','file')
    load simsav
    Al = Asiml(:,end); Ah = Asimh(:,end);
else Al=[]; Ah=[]; iZl=[]; iZh=[]; end

[Abarl,Hbarl,maxAl,Asiml,Hsiml,Csiml,iZsiml]=...
   simulate(A_decl',H_decl',Ql,Zprob,A,Kbar,0,r,w,Al,iZl);
fprintf('Results of low: Abar = %10.6f, Hbar = %10.6f\n',Abarl,Hbarl)

[Abarh,Hbarh,maxAh,Asimh,Hsimh,Csimh,iZsimh]=...
   simulate(A_dech',H_dech',Qh,Zprob,A,Kbar,0,r,w,Ah,iZh);
fprintf('Results of high: Abar = %10.6f, Hbar = %10.6f\n',Abarh,Hbarh)

Al    = Asiml(:,end);   Ah = Asimh(:,end);
iZl   = iZsiml(:,end); iZh = iZsimh(:,end);
Qsiml = Ql(iZsiml);  Qsimh = Qh(iZsimh);
save simsav iZl iZh Asimh Asiml Hsimh Hsiml Csimh Csiml Qsimh Qsiml iZsimh iZsiml Ql Qh EQ ggz r rho sigma sigma_perm m w

Abar = 0.5*(Abarl+Abarh);

report

regress_artificial